Compare commits

...

27 Commits

Author SHA1 Message Date
repo-ranger[bot]
3996bc3fde Merge pull request #810 from tj-actions/fix/pulling-current-branch-history
fix: pulling current branch history
2022-11-17 20:15:36 +00:00
Tonye Jack
7b68fcd082 Update diff-sha.sh 2022-11-17 12:59:15 -07:00
repo-ranger[bot]
c8dc4b69b8 Merge branch 'main' into fix/pulling-current-branch-history 2022-11-17 19:34:46 +00:00
Tonye Jack
0265ed819d Update README.md 2022-11-17 12:33:38 -07:00
Tonye Jack
96ce8da4f6 Update diff-sha.sh 2022-11-17 12:32:34 -07:00
Tonye Jack
2ed48aa52f Update diff-sha.sh 2022-11-17 12:25:27 -07:00
Tonye Jack
434c3eaa98 Merge branch 'main' into fix/pulling-current-branch-history 2022-11-17 12:19:28 -07:00
Tonye Jack
0efacabbb5 Update diff-sha.sh 2022-11-17 12:05:17 -07:00
Tonye Jack
61fac4da4b Updated diff-sha.sh 2022-11-17 08:28:46 -07:00
Tonye Jack
6ea66cc129 Updated diff-sha.sh 2022-11-17 08:24:46 -07:00
Tonye Jack
30b9252953 Updated diff-sha.sh 2022-11-17 08:16:17 -07:00
Tonye Jack
3b10cebd3d Update diff-sha.sh 2022-11-16 21:06:22 -07:00
repo-ranger[bot]
171e4353ac Merge pull request #811 from tj-actions/chore/update-readme
Updated README.md
2022-11-16 19:15:40 +00:00
jackton1
1882e2f481 Updated README.md 2022-11-16 18:53:06 +00:00
Tonye Jack
0c4c0c47b8 Update README.md 2022-11-16 11:52:30 -07:00
Tonye Jack
fe3a37012f Update action.yml 2022-11-16 11:46:53 -07:00
Tonye Jack
fe47f7dc4c fix: pulling current branch history 2022-11-16 11:29:35 -07:00
repo-ranger[bot]
61e93c8aeb Merge pull request #808 from tj-actions/upgrade-to-v34.4.2
Upgraded to v34.4.2
2022-11-15 21:19:52 +00:00
jackton1
73e225f69c Upgraded from v34.4.1 -> v34.4.2 2022-11-15 20:30:41 +00:00
repo-ranger[bot]
ef0a29048c Merge pull request #806 from tj-actions/fix/bug-with-retrieving-the-last-remote-commit
fix: bug with retrieving the last remote commit
2022-11-15 18:42:00 +00:00
Tonye Jack
e447432ead Update diff-sha.sh 2022-11-15 11:11:36 -07:00
Tonye Jack
4203489288 Update diff-sha.sh 2022-11-15 11:08:51 -07:00
Tonye Jack
e7e332ee69 Update sync-release-version.yml 2022-11-15 10:50:44 -07:00
Tonye Jack
1bf2487713 Update test.yml 2022-11-15 10:45:13 -07:00
Tonye Jack
07952792bb Update test.yml 2022-11-15 10:43:14 -07:00
Tonye Jack
3e827ae4d1 Update diff-sha.sh 2022-11-15 10:38:56 -07:00
Tonye Jack
839d5701db fix: bug with retrieving the last remote commit 2022-11-15 10:29:27 -07:00
6 changed files with 85 additions and 45 deletions

View File

@@ -1,8 +1,5 @@
name: Update release version.
on:
push:
tags:
- '**'
release:
types: [published]

View File

@@ -27,6 +27,8 @@ jobs:
uses: actions/checkout@v3
- name: shellcheck
uses: reviewdog/action-shellcheck@v1.15
with:
github_token: ${{ secrets.PAT_TOKEN }}
test-multiple-repositories:
name: Test with multiple repositories
@@ -929,7 +931,7 @@ jobs:
with:
branch: ${{ steps.branch-name.outputs.base_ref_branch }}
workflow_id: 'test.yml'
github_token: ${{ secrets.GITHUB_TOKEN }}
github_token: ${{ secrets.PAT_TOKEN }}
- name: Run changed-files with a custom base sha
if: github.event_name == 'pull_request' && github.event.action != 'closed'
id: changed-files-custom-base-sha

View File

@@ -1,16 +1,50 @@
# Changelog
## [v34.4.0](https://github.com/tj-actions/changed-files/tree/v34.4.0) (2022-11-11)
## [Unreleased](https://github.com/tj-actions/changed-files/tree/HEAD)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.4.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.2...HEAD)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-11)
**Fixed bugs:**
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.4...v34)
- \[BUG\] diff-sha.sh results in "fatal: ambiguous argument '': unknown revision or path not in the working tree." [\#750](https://github.com/tj-actions/changed-files/issues/750)
## [v34.4.2](https://github.com/tj-actions/changed-files/tree/v34.4.2) (2022-11-15)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.4.2)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-15)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.1...v34)
**Fixed bugs:**
- \[BUG\] Infinite loop on v34.4.0 [\#803](https://github.com/tj-actions/changed-files/issues/803)
- Unable to locate a common ancestor between production\_migration and HEAD [\#802](https://github.com/tj-actions/changed-files/issues/802)
**Merged pull requests:**
- fix: bug with retrieving the last remote commit [\#806](https://github.com/tj-actions/changed-files/pull/806) ([jackton1](https://github.com/jackton1))
## [v34.4.1](https://github.com/tj-actions/changed-files/tree/v34.4.1) (2022-11-15)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.0...v34.4.1)
**Fixed bugs:**
- \[BUG\] Very simple branch gives: "Unable to find merge-base between main and HEAD." [\#797](https://github.com/tj-actions/changed-files/issues/797)
**Merged pull requests:**
- chore: update sync-release-version.yml [\#805](https://github.com/tj-actions/changed-files/pull/805) ([jackton1](https://github.com/jackton1))
- fix: finding merge-base [\#804](https://github.com/tj-actions/changed-files/pull/804) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.4.0 [\#800](https://github.com/tj-actions/changed-files/pull/800) ([jackton1](https://github.com/jackton1))
## [v34.4.0](https://github.com/tj-actions/changed-files/tree/v34.4.0) (2022-11-11)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.4...v34.4.0)
**Fixed bugs:**
- \[BUG\] Specfic File Bug in v33 / v34 - grep: : No such file or directory [\#795](https://github.com/tj-actions/changed-files/issues/795)
- \[BUG\] Please verify that the previous sha is valid, and increase the fetch\_depth to a number higher than 40. [\#790](https://github.com/tj-actions/changed-files/issues/790)
@@ -150,7 +184,6 @@
**Fixed bugs:**
- \[BUG\] diff-sha.sh results in "fatal: ambiguous argument '': unknown revision or path not in the working tree." [\#750](https://github.com/tj-actions/changed-files/issues/750)
- \[BUG\] Action failing on PR with "Unable to find merge-base in shallow clone" [\#737](https://github.com/tj-actions/changed-files/issues/737)
- \[BUG\] Wrong changed-files returned for forked PRs [\#714](https://github.com/tj-actions/changed-files/issues/714)
@@ -237,7 +270,7 @@
## [v34.0.0](https://github.com/tj-actions/changed-files/tree/v34.0.0) (2022-10-25)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v34.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v34.0.0)
**Fixed bugs:**
@@ -250,13 +283,13 @@
- feat: add support for fetching more history [\#709](https://github.com/tj-actions/changed-files/pull/709) ([jackton1](https://github.com/jackton1))
- Upgraded to v33.0.0 [\#707](https://github.com/tj-actions/changed-files/pull/707) ([jackton1](https://github.com/jackton1))
## [v33.0.0](https://github.com/tj-actions/changed-files/tree/v33.0.0) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v33.0.0)
## [v33](https://github.com/tj-actions/changed-files/tree/v33) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v33)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v33)
## [v33.0.0](https://github.com/tj-actions/changed-files/tree/v33.0.0) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v33.0.0)
**Closed issues:**
@@ -275,13 +308,13 @@
- chore\(deps\): update tj-actions/verify-changed-files action to v12 [\#696](https://github.com/tj-actions/changed-files/pull/696) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v32.1.2 [\#695](https://github.com/tj-actions/changed-files/pull/695) ([jackton1](https://github.com/jackton1))
## [v32.1.2](https://github.com/tj-actions/changed-files/tree/v32.1.2) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v32.1.2)
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v32)
## [v32.1.2](https://github.com/tj-actions/changed-files/tree/v32.1.2) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32.1.2)
**Fixed bugs:**
@@ -337,7 +370,7 @@
## [v32.0.0](https://github.com/tj-actions/changed-files/tree/v32.0.0) (2022-10-06)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v31...v32.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v31.0.3...v32.0.0)
**Merged pull requests:**
@@ -348,13 +381,13 @@
- chore\(deps\): update actions/checkout action to v3.1.0 [\#669](https://github.com/tj-actions/changed-files/pull/669) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v31.0.3 [\#667](https://github.com/tj-actions/changed-files/pull/667) ([jackton1](https://github.com/jackton1))
## [v31](https://github.com/tj-actions/changed-files/tree/v31) (2022-10-02)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v31.0.3...v31)
## [v31.0.3](https://github.com/tj-actions/changed-files/tree/v31.0.3) (2022-10-02)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v31.0.2...v31.0.3)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v31...v31.0.3)
## [v31](https://github.com/tj-actions/changed-files/tree/v31) (2022-10-02)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v31.0.2...v31)
**Fixed bugs:**
@@ -1878,7 +1911,7 @@
## [v7](https://github.com/tj-actions/changed-files/tree/v7) (2021-06-09)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v7)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v7)
**Closed issues:**
@@ -1894,13 +1927,13 @@
- Update tj-actions/sync-release-version action to v8.7 [\#86](https://github.com/tj-actions/changed-files/pull/86) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v6.3 [\#85](https://github.com/tj-actions/changed-files/pull/85) ([jackton1](https://github.com/jackton1))
## [v6](https://github.com/tj-actions/changed-files/tree/v6) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v6)
## [v6.3](https://github.com/tj-actions/changed-files/tree/v6.3) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6.3)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v6.3)
## [v6](https://github.com/tj-actions/changed-files/tree/v6) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6)
**Merged pull requests:**

View File

@@ -336,8 +336,7 @@ See [outputs](#outputs) for a list of all available outputs.
id: changed-files-specific-source-file
uses: tj-actions/changed-files@v34
with:
files_from_source_file: |
test/changed-files-list.txt
files_from_source_file: test/changed-files-list.txt
...
```

View File

@@ -78,7 +78,7 @@ inputs:
required: false
default: "false"
fetch_depth:
description: "Limit depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
description: "Initial depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
required: false
default: "40"
max_fetch_depth:

View File

@@ -5,6 +5,8 @@ set -euo pipefail
INITIAL_COMMIT="false"
GITHUB_OUTPUT=${GITHUB_OUTPUT:-""}
EXTRA_ARGS="--no-tags"
PREVIOUS_SHA=""
CURRENT_SHA=""
if [[ "$GITHUB_REF" == "refs/tags/"* ]]; then
EXTRA_ARGS=""
@@ -145,6 +147,10 @@ else
echo "Running on a pull request event..."
TARGET_BRANCH=$GITHUB_BASE_REF
CURRENT_BRANCH=$GITHUB_HEAD_REF
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "true" ]]; then
TARGET_BRANCH=$CURRENT_BRANCH
fi
echo "Fetching remote refs..."
@@ -187,14 +193,15 @@ else
PREVIOUS_SHA=$GITHUB_EVENT_BEFORE
if ! git rev-parse --quiet --verify "$PREVIOUS_SHA^{commit}" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
if [[ -z "$PREVIOUS_SHA" || "$PREVIOUS_SHA" == "0000000000000000000000000000000000000000" ]]; then
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
# shellcheck disable=SC2046
PREVIOUS_SHA=$(git rev-parse origin/"$CURRENT_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
else
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$GITHUB_EVENT_PULL_REQUEST_BASE_SHA && exit_status=$? || exit_status=$?
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git rev-parse origin/"$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
fi
if [[ -z "$PREVIOUS_SHA" || "$PREVIOUS_SHA" == "$CURRENT_SHA" ]]; then
@@ -214,16 +221,18 @@ else
depth=$INPUT_FETCH_DEPTH
max_depth=$INPUT_MAX_FETCH_DEPTH
while [ -z "$( git merge-base --fork-point "$TARGET_BRANCH" "$CURRENT_SHA" )" ] || [ -z "$(git merge-base "$TARGET_BRANCH" "$CURRENT_SHA")" ] || [ -z "$(git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" | head -1)" ]; do
depth=$((depth + 300))
while ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null; do
echo "Fetching $depth commits..."
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS --deepen="$depth" origin "$TARGET_BRANCH" HEAD;
git fetch $EXTRA_ARGS -u --progress --deepen="$depth" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH"
if [[ $depth -gt $max_depth ]]; then
echo "::error::Unable to locate a common ancestor between $TARGET_BRANCH and HEAD"
echo "::error::Unable to locate a common ancestor between $TARGET_BRANCH and $CURRENT_SHA"
exit 1
fi
depth=$((depth + 300))
done
else
echo "::debug::Not a shallow clone, skipping merge-base check."